ImplementationNamespace
Date: 2016-06-25

org.osgi.namespace.implementation

## Class ImplementationNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.namespace.implementation.ImplementationNamespace

-     public final class ImplementationNamespace
      extends org.osgi.resource.Namespace

  Implementation Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace.

  This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_VERSION_ATTRIBUTE` The capability attribute contains the `Version` of the specification or contract being implemented.
    `static java.lang.String` | `IMPLEMENTATION_NAMESPACE` Namespace name for "implementation" capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_NAMESPACE

          public static final java.lang.String IMPLEMENTATION_NAMESPACE

      Namespace name for "implementation" capabilities and requirements. This is also the capability attribute used to specify the name of the specification or contract being implemented.

      A `ImplementationNamespace` capability should express a `uses constraint` for the appropriate packages defined by the specification/contract the packages mentioned in the value of this attribute.

      See Also:
        Constant Field Values

    - #### CAPABILITY_VERSION_ATTRIBUTE

          public static final java.lang.String CAPABILITY_VERSION_ATTRIBUTE

      The capability attribute contains the `Version` of the specification or contract being implemented. The value of this attribute must be of type `Version`.
      See Also:
        Constant Field Values